<?php
/**
 * @file
 * Functions relating to the admin of this module
 */

/**
 * Form constructor for the file uploadingform.
 *
 * @see groupdocs_signature_menu()
 */
function groupdocs_viewer_java_uploading_form($form, &$form_state)
{
    $form['url'] = array(
        '#type' => 'textfield',
        '#title' => t('Server url'),
        '#default_value' => '',
        '#size' => 64,
        '#maxlength' => 100,
        '#description' => t("Url of server where installed the GroupDocs.Java Viewer v.1.8.0."),
    );

    $form['file_path'] = array(
        '#type' => 'textfield',
        '#title' => t('Path to files'),
        '#default_value' => '',
        '#size' => 64,
        '#maxlength' => 100,
        '#description' => t("Absolute path to files, which was configured in GroupDocs.Viewer for Java v 1.8.0 in config file."),
    );

    $form['width'] = array(
        '#type' => 'textfield',
        '#title' => t('Width'),
        '#default_value' => '',
        '#size' => 10,
        '#maxlength' => 5,
        '#description' => t("Width of window for GroupDocs.Viewer "),
    );

    $form['height'] = array(
        '#type' => 'textfield',
        '#title' => t('Height'),
        '#default_value' => '',
        '#size' => 10,
        '#maxlength' => 5,
        '#description' => t("Height of window for GroupDocs.Viewer"),
    );

    $form['file_name'] = array(
        '#type' => 'textfield',
        '#title' => t('File Name'),
        '#default_value' => '',
        '#size' => 25,
        '#maxlength' => 100,
        '#description' => t("Name of file for display in window GroupDocs.Viewer"),
    );

    $form['submit'] = array(
        '#type' => 'submit',
        '#value' => t('Go!'),
    );

    return $form;
}

/**
 * Form submission handler for groupdocs_viewer_java_uploading_form().
 *
 * groupdocs_viewer_java_uploading_form submit process
 * move upload file to module directory
 * call Groupdocs Api to upload file
 * using private and public keys from config page
 * unset file fom module directory.
 *
 * Call javascript function that will pass file guid to
 * parent window's test input
 *
 * @see groupdocs_signature_uploading_form()
 */
function groupdocs_viewer_java_uploading_form_submit($node, &$form_state)
{

    if (empty($_POST['url']) or empty($_POST['width']) or empty($_POST['height']) or empty($_POST['file_path']) or empty($_POST['file_name']) ){
      echo 'Please entered all parameters'; exit;
    }else{
        $url = strip_tags(trim($_POST['url']));
        //Add backslash to end of the URL
        if (substr($url, -1) != "/") {
            $url = $url . "/";
        }
        $width = strip_tags(trim($_POST['width']));
        $height = strip_tags(trim($_POST['height']));
        $file_path = strip_tags(trim($_POST['file_path']));
        //Add backslash to end of the absolute path to files
        if (substr($file_path, -1) != "\\" or substr($file_path, -2) != "\\") {
            $file_path = $file_path . "/";
        }

        $absolute_path = $file_path . strip_tags(trim($_POST['file_name']));


        print "<script>
    window.parent.jQuery('input[name*=\"groupdocs_viewer_java_id\"]').val('" . $url . ";width:" . $width . "px;height:" . $height  ."px;file_name:" . $absolute_path ."' );
    window.parent.Lightbox.end()
    </script>";
    drupal_exit();
    }
}
